Page MenuHomePhabricator

Migrate {{geo}} Wikivoyage template to <maplink> (with an icon)
Open, LowPublic

Description

{{geo}} template is expanded as this HTML. Community might need help with migrating it to <maplink>, and fix any blockers.

Event Timeline

Yurik created this task.Jun 8 2016, 9:43 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJun 8 2016, 9:43 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Yurik updated the task description. (Show Details)Jun 8 2016, 9:45 PM
Yurik added a comment.Jun 8 2016, 11:36 PM

https://en.wikivoyage.org/wiki/User:Yurik/Sandbox/geo - seems to be working, will deploy shortly (click the icon in the upper right corner)

Yurik claimed this task.Jun 8 2016, 11:36 PM
Yurik moved this task from Backlog to In progress on the Maps-Sprint board.
Yurik added a comment.Jun 8 2016, 11:58 PM

Weird, the maplink does not work in production, but works on page preview. Examples:

Danny_B renamed this task from Migrate {{geo}} WV template to <maplink> (with an icon) to Migrate {{geo}} Wikivoyage template to <maplink> (with an icon).Jun 9 2016, 11:57 PM
Yurik moved this task from Kartographer to Wiki-related on the Maps board.Jun 12 2016, 3:09 AM
Yurik reopened this task as Open.Jun 16 2016, 1:39 PM

Community rollback - investigating

Yurik moved this task from In progress to To-do on the Maps-Sprint board.Oct 12 2016, 6:16 PM
Yurik updated the task description. (Show Details)
Yurik removed a project: Maps.Dec 15 2016, 4:40 AM
TheDJ added a subscriber: TheDJ.Jul 22 2017, 8:08 PM

Last revert gave as reasons: "map routes still does not work and nearby places works badly. Give the user a choice."

Mholloway triaged this task as Low priority.Nov 6 2018, 3:57 PM
Mholloway added a project: patch-welcome.
Mholloway moved this task from Unsorted to Tracking on the Maps (Kartographer) board.